# Created by pyp2rpm-3.3.7
%global pypi_name stestr

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 4
Summary:        A parallel Python test runner built around subunit
Group:          Development/Python
License:        Apache-2.0
URL:            https://stestr.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         stestr-4.1.0-relax-reqs.patch
Patch2:         stestr-skip-failing-test.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cliff)
# tests
BuildRequires:  python3dist(voluptuous)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(python-subunit)
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(doc8)
BuildRequires:  python3dist(ddt)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(subunit2sql)

%description
stestr is parallel Python test runner designed to execute unittest test suites
using multiple processes to split up execution of a test suite. It also will
store a history of all test runs to help in debugging failures and optimizing
the scheduler to improve speed. To accomplish this goal it uses the subunit
protocol to facilitate streaming and storing results from multiple workers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
stestr is parallel Python test runner designed to execute unittest test suites
using multiple processes to split up execution of a test suite. It also will
store a history of all test runs to help in debugging failures and optimizing
the scheduler to improve speed. To accomplish this goal it uses the subunit
protocol to facilitate streaming and storing results from multiple workers.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -i '/hacking.*/d' test-requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
export PATH=%{buildroot}%{_bindir}:$PATH
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%pytest || :

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst README_ja.rst
%doc html
%{_bindir}/stestr


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.1.0-4.mga10
+ Revision: 2239594
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 4.1.0-3.mga10
+ Revision: 2156690
- rebuild for python 3.13

* Fri Dec 27 2024 papoteur <papoteur> 4.1.0-2.mga10
+ Revision: 2130492
- add and use pytest

* Mon Jan 22 2024 papoteur <papoteur> 4.1.0-1.mga10
+ Revision: 2033623
- rediff patch
- new version 4.1.0

* Sun Dec 04 2022 wally <wally> 4.0.1-1.mga9
+ Revision: 1917804
- new version 4.0.1

* Mon Aug 22 2022 wally <wally> 3.2.1-1.mga9
+ Revision: 1879213
- new version 3.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 wally <wally> 3.2.0-1.mga9
+ Revision: 1742987
- imported package python-stestr

